The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> creal, crealf, creall - complex real functions

#### SYNOPSIS

> ``#include <complex.h>
> double creal(double complex` z`);
> float crealf(float complex` z`);
> long double creall(long double complex` z`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> These functions shall compute the real part of z.

#### RETURN VALUE

> These functions shall return the real part value.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> For a variable z of type complex:

>     z == creal(z) + cimag(z)*I

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> carg(), cimag(), conj(), cproj(), the Base Definitions volume of IEEE Std 1003.1-2001, <complex.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]